/**
* Theme App
* Implementing an App used to Theme
*/
var ThemeApp = ThemeApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
ThemeApp.App = function () {
    this.id = 'Theme';
    this.name = 'Theme';
    this.version = '6.0.4';
    this.active = false;
    this.menuIcon = '/apps/theme/images/logo.png?v=6.0.4&';
    this.shortcutIcon = '/apps/theme/images/logo.png?v=6.0.4&';
    this.entryUrl = '/apps/theme/theme.html?v=6.0.4&';
    //this.entryHelpUrl = '/apps/theme/theme_help.html?v=6.0.4&';
    var self = this;
    this.ThemeAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Theme')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'ThemeAppWindow',
            title: UNAS._('Theme'),
            icon: '/apps/theme/images/logo_small.png?v=6.0.4&',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            //resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/theme/theme.html?v=6.0.4&',
            require: {  css: ['/apps/theme/css/theme.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Theme",'ThemeAppWindow')}
        });
    };
    this.ThemeAppUninstall = function () {
        UNAS.RemoveDesktopShortcut('Theme');
        UNAS.RemoveMenu('Theme');
        UNAS.RemoveAppFromGroups('Theme', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Theme', 'Help');
        UNAS.RemoveAppFromApps('Theme');
    }
this.themeMenuIcon = '/apps/theme/images/ic-theme.svg';
    new UNAS.UserMenu('User_Top_Menu', this.name, 'Theme', this.ThemeAppWindow ,this.themeMenuIcon);

   // new UNAS.UserMenu('User_Top_Menu', this.name, 'Theme', this.ThemeAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Theme', this.ThemeAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 19, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Settings', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Theme', UNAS._('Theme')); //translate menu
        //UNAS.SetShortcutTitle('Theme', UNAS._('Theme')); //translate shortcu
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('ThemeAppWindow', UNAS._('Theme'));
        }
    };
    UNAS.LoadTranslation('/apps/theme/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.ThemeAppWindow, this.ThemeAppUninstall);
};

new ThemeApp.App(); //Create app
